Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 5)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 13, 14, 15 ... 19, 20, 21  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
mikkoc
Apprentice
Apprentice


Joined: 24 May 2007
Posts: 231

PostPosted: Sat Jan 29, 2011 8:37 am    Post subject: Reply with quote

So, with HAL being deprecated (see https://bugs.kde.org/show_bug.cgi?id=229643), KDE does not need it anymore, so I removed it with no problems.
But now hot plugging does not work anymore.
I need to mount usb disks from console. Any ideas?
KDE 4.6.0
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Sat Jan 29, 2011 11:23 am    Post subject: Reply with quote

It works here without any problems through udev. Some config problem?
Back to top
View user's profile Send private message
mikkoc
Apprentice
Apprentice


Joined: 24 May 2007
Posts: 231

PostPosted: Sat Jan 29, 2011 4:47 pm    Post subject: Reply with quote

You mean it works without HAL installed?
Which config files should I be looking at?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7115
Location: Austria

PostPosted: Sat Jan 29, 2011 6:25 pm    Post subject: Reply with quote

Usually, none. Do you have udev in your global USE-flags?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
mikkoc
Apprentice
Apprentice


Joined: 24 May 2007
Posts: 231

PostPosted: Sat Jan 29, 2011 7:06 pm    Post subject: Reply with quote

Yes, and kdelibs is also compiled with +udev.
By hotplugging I mean that no disks are shown in the KDE device notifier, nor in the Dolphin sidebar, so I have no way to mount them but through console.
Back to top
View user's profile Send private message
mikkoc
Apprentice
Apprentice


Joined: 24 May 2007
Posts: 231

PostPosted: Mon Jan 31, 2011 9:40 am    Post subject: Reply with quote

Problem solved: dbus was not starting at boot :)
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 943
Location: halmstad

PostPosted: Mon Jan 31, 2011 8:34 pm    Post subject: Reply with quote

hi all

can some one tell me why workspase dont exist


>>> Emerging (1 of 1) kde-base/libplasmagenericshell-9999 from kde
* Package: kde-base/libplasmagenericshell-9999
* Repository: kde
* Maintainer: kde@gentoo.org
* USE: amd64 elibc_glibc kernel_linux multilib userland_GNU
* FEATURES: ccache sandbox
>>> Unpacking source...
* subversion check out start -->
* repository: svn://anonsvn.kde.org/home/kde/trunk/KDE/kdebase/workspace
svn: URL 'svn://anonsvn.kde.org/home/kde/trunk/KDE/kdebase/workspace' doesn't exist
Back to top
View user's profile Send private message
Boccaccio
Apprentice
Apprentice


Joined: 19 Jul 2005
Posts: 282

PostPosted: Mon Jan 31, 2011 8:36 pm    Post subject: Reply with quote

I tried to unmask kde-4.6 using the corresponding file from the overlay. However, this unmasks the 4.5.94.1 versions of the kdepim-suite as well. Is there any easy way to circumvent this problem?
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 943
Location: halmstad

PostPosted: Mon Jan 31, 2011 8:44 pm    Post subject: Reply with quote

Boccaccio


if you wnt the 4.6 or 4.6.9999 you need to unmask it and keyword it :

cd /etc/portage/package.unmask
ln -s /var/lib/layman/kde/Documentation/package.unmask/kde-4.6
or
ln -s /var/lib/layman/kde/Documentation/package.unmask/kde-4.6.9999

cd /etc/portage/package.keywords
ln -s /var/lib/layman/kde/Documentation/package.keywords/kde-4.6
or
ln -s /var/lib/layman/kde/Documentation/package.keywords/kde-4.6.9999

if you have your overlay in /var/lib/layman
Back to top
View user's profile Send private message
Boccaccio
Apprentice
Apprentice


Joined: 19 Jul 2005
Posts: 282

PostPosted: Mon Jan 31, 2011 8:46 pm    Post subject: Reply with quote

hedmo

I know this, but if I do so, I unmask und keyword the kdepim-4.6 beta as well which I do not want (I don't want to feed it with my emails :D). So I asked for a way to unmask/keyword everything except these packages.
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 943
Location: halmstad

PostPosted: Mon Jan 31, 2011 8:52 pm    Post subject: Reply with quote

Boccaccio

that i dont know but as far as i know,if you want one you have to take it all :? :wink: :roll: :lol:
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Mon Jan 31, 2011 9:38 pm    Post subject: Reply with quote

No, you don't (at least that's what KDEPIM devs says). That is simply wrongly created unmask file. Edit it to simply delete entries from kdepim (you can find them in kdepim set)
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1604
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Mon Jan 31, 2011 10:21 pm    Post subject: Reply with quote

Lustmored wrote:
No, you don't (at least that's what KDEPIM devs says). That is simply wrongly created unmask file. Edit it to simply delete entries from kdepim (you can find them in kdepim set)


(talking in terms of 4.6.9999 here)

If the unmask files are right or wrong I can't say but fetching a kdepim 4.6.9999 does fetch something even if it might not actually be in the 4.6 branch currently.

The best way would be as mentioned then just mask the few kdepim things to remain at the stable versions. This tracks any needed unmasks from the overlay because as a good overlay user you update as often as you sync the portage tree. ;)

It's also worth mentioning that kde moved to git over the weekend so there most likely are rough spots yet to be discovered.
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
Earthwings
Bodhisattva
Bodhisattva


Joined: 14 Apr 2003
Posts: 7753
Location: Karlsruhe, Germany

PostPosted: Tue Feb 01, 2011 10:41 pm    Post subject: Reply with quote

firephoto wrote:
It's also worth mentioning that kde moved to git over the weekend so there most likely are rough spots yet to be discovered.

kdelibs and kdebase, to be precise. Other KDE parts have moved to git before and some others are still in SVN. See http://mail.kde.org/pipermail/kde-cvs-announce/2011/000064.html
_________________
KDE
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Sat Feb 05, 2011 12:08 pm    Post subject: Reply with quote

Earthwings wrote:
firephoto wrote:
It's also worth mentioning that kde moved to git over the weekend so there most likely are rough spots yet to be discovered.

kdelibs and kdebase, to be precise. Other KDE parts have moved to git before and some others are still in SVN. See http://mail.kde.org/pipermail/kde-cvs-announce/2011/000064.html


And now ... we must waiting till updated the ebuilds.
kdepim-live has now access to the git, kdebase-live not :(
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Sun Feb 20, 2011 11:19 am    Post subject: Reply with quote

I miss the 9999 ebuild of digikam. According to google it was in kde-overlay a while ago...?

Thank you
Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Holysword
l33t
l33t


Joined: 19 Nov 2006
Posts: 946
Location: Greece

PostPosted: Fri Mar 04, 2011 12:35 pm    Post subject: Reply with quote

What is happening to the file management of KDE? Whenever I have a text file and I start editing it with kwrite/kate, I notice another file appears with the .swp. prefix (for instance, .swp.foo when I'm editing foo). I started recently dealing with some huge ascii files (i.e. 3GB), and I wonder if this "copy" isn't slowing down the whole thing (which is already slow). Using KDE-4.6.
_________________
"Nolite arbitrari quia venerim mittere pacem in terram non veni pacem mittere sed gladium" (Yeshua Ha Mashiach)
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Fri Mar 04, 2011 1:11 pm    Post subject: kamoso ebuild Reply with quote

Please correct kamoso ebuild, it tryes to connect to svn without success:

Quote:
* Messages for package media-video/kamoso-9999:

* ERROR: media-video/kamoso-9999 failed (unpack phase):
* subversion: can't fetch to /usr/portage/distfiles/svn-src/kamoso/kamoso from svn://anonsvn.kde.org/home/kde/trunk/KDE/kamoso.



thanks :-)
Back to top
View user's profile Send private message
jbouzan
Tux's lil' helper
Tux's lil' helper


Joined: 23 Nov 2007
Posts: 138

PostPosted: Sat Mar 05, 2011 5:23 am    Post subject: Reply with quote

Holysword wrote:
What is happening to the file management of KDE? Whenever I have a text file and I start editing it with kwrite/kate, I notice another file appears with the .swp. prefix (for instance, .swp.foo when I'm editing foo). I started recently dealing with some huge ascii files (i.e. 3GB), and I wonder if this "copy" isn't slowing down the whole thing (which is already slow). Using KDE-4.6.

It was a new feature of kate in 4.6. I forget if there is a way to turn it off, but I don't think it copies the whole file. Just saving your changes in case of crash.
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Tue Mar 08, 2011 9:49 am    Post subject: Re: kamoso ebuild Reply with quote

Krog wrote:
Please correct kamoso ebuild, it tryes to connect to svn without success:

Quote:
* Messages for package media-video/kamoso-9999:

* ERROR: media-video/kamoso-9999 failed (unpack phase):
* subversion: can't fetch to /usr/portage/distfiles/svn-src/kamoso/kamoso from svn://anonsvn.kde.org/home/kde/trunk/KDE/kamoso.



thanks :-)



is this the right place for such requests?
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Fri Mar 11, 2011 3:22 pm    Post subject: Reply with quote

kdepim-common-libs-4.6.9999 wrote:
1 of 1: Starting install to / for kde-base/kdepim-common-libs-4.6.9999:4.6::kde replacing 4.6.9999:4.6::installed...


Output from installing kde-base/kdepim-common-libs-4.6.9999:4.6::kde to ::installed replacing 4.6.9999:4.6::installed:

>>> Running ebuild phase killold as root:root...
>>> Starting builtin_killold
>>> Done builtin_killold
>>> Completed ebuild phase killold
>>> Running ebuild phases init saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_init
>>> Done builtin_init
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases init saveenv
>>> Running ebuild phases loadenv setup saveenv as root:root...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv

Error:
* In program cave --log-level warning perform install --hooks --managed-output --output-exclusivity with-others =kde-base/kdepim-common-libs-4.6.9999:4.6::kde --destination installed --replacing =kde-base/kdepim-common-libs-4.6.9999:4.6::installed --x-of-y 1 of 1:
* When installing 'kde-base/kdepim-common-libs-4.6.9999:4.6::kde' replacing { 'kde-base/kdepim-common-libs-4.6.9999:4.6::installed' }:
* When running an ebuild command on 'kde-base/kdepim-common-libs-4.6.9999:4.6::kde':
* Install failed for 'kde-base/kdepim-common-libs-4.6.9999:4.6::kde' (paludis::ActionFailedError)

>>> Starting pkg_setup

!!! ERROR in kde-base/kdepim-common-libs-4.6.9999::kde:
!!! In kde4-meta_pkg_pretend at line 4884
!!! Sorry, but gcc-4.3 and earlier wont work for KDE SC 4.6 (see bug 354837).

!!! Call stack:
!!! * kde4-meta_pkg_pretend (/var/tmp/paludis/kde-base-kdepim-common-libs-4.6.9999/temp/loadsaveenv:4884)
!!! * kde4-meta_pkg_setup (/var/tmp/paludis/kde-base-kdepim-common-libs-4.6.9999/temp/loadsaveenv:4889)
!!! * pkg_setup (/var/tmp/paludis/kde-base-kdepim-common-libs-4.6.9999/temp/loadsaveenv:5728)
!!! * ebuild_f_setup (/usr/libexec/paludis/0/pkg_setup.bash:43)
!!! * ebuild_main (/usr/libexec/paludis/ebuild.bash:648)
!!! * main (/usr/libexec/paludis/ebuild.bash:676)


gcc-config -l wrote:
vindor ~ # gcc-config -l
[1] x86_64-pc-linux-gnu-4.4.4
[2] x86_64-pc-linux-gnu-4.5.2 *


Anybody knows whats happening?
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1604
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Wed Mar 30, 2011 10:41 pm    Post subject: Reply with quote

Anyone rebuilt 4.6.9999 lately? Lots of "emerge --resume --skipfirst" today.
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7115
Location: Austria

PostPosted: Thu Mar 31, 2011 7:32 am    Post subject: Reply with quote

Why not --keep-going? ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1604
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Thu Mar 31, 2011 8:11 am    Post subject: Reply with quote

genstorm wrote:
Why not --keep-going? ;)


Then I wouldn't of got around to fixing the vlc ebuild so it would quit nagging me about ffmpeg deps everytime i resumed... which is probably some odd portage bug. ;)

I really didn't expect more than pykde4 and a couple of other failures like I saw last time but there were many more from moves I guess.

I also wonder if --keep-going is why more people don't make any mention of things not building. (or i'm the only one not on trunk)
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7115
Location: Austria

PostPosted: Thu Mar 31, 2011 9:22 am    Post subject: Reply with quote

Seems they should rather start reading portage output again. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 13, 14, 15 ... 19, 20, 21  Next
Page 14 of 21

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum